Bug 1418791

Summary: [RFE] Support for obfuscated proxy credentials used by image-inspector
Product: Red Hat CloudForms Management Engine Reporter: ncatling
Component: ProvidersAssignee: Erez Freiberger <efreiber>
Status: CLOSED CURRENTRELEASE QA Contact: brahmani
Severity: medium Docs Contact:
Priority: unspecified    
Version: 5.7.0CC: efreiber, fsimonce, jfrey, jhardy, kmorey, meggen, ncatling, nstephan, obarenbo, simaishi
Target Milestone: GAKeywords: FutureFeature, RFE, TestOnly
Target Release: 5.9.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 5.9.0.1 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1438516 (view as bug list) Environment:
Last Closed: 2018-03-06 15:24:41 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Container Management Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1438516    

Description ncatling 2017-02-02 17:59:43 UTC
Description of problem:
Currently, image-inspector uses proxy details specified as provider custom attributes. These are exposed in clear text within the CF UI. Support required for the optional use of proxy credentials which should be obfuscated.

For example:
Custom Attributes
http proxy 	http://user:password@server.com:80
https proxy 	http://user:password@server.com:80 

Version-Release number of selected component (if applicable):
5.7

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Erez Freiberger 2017-02-02 19:44:22 UTC
Nick,
PTAL at https://github.com/ManageIQ/manageiq-ui-classic/pull/290 (there is a picture) , Is this solution good?

Comment 3 ncatling 2017-02-03 08:48:24 UTC
Erez, looks good, thanks.

Comment 4 Satoe Imaishi 2017-04-03 15:22:55 UTC
PR: https://github.com/ManageIQ/manageiq-ui-classic/pull/844

Comment 6 brahmani 2017-11-14 08:06:39 UTC
Verify on cfme 5.9.0.8.

update HTTP Proxy with value:
http://cmqe-proxy.usersys.redhat.com:3128
--> SSA work OK.

update HTTPS Proxy with wrong value:
https://user:pass@my_https_proxy
--> SSA fail with error message as expected:
"Unable to run OpenSCAP: Unable to retreive the CVE file: Could not download file https://www.redhat.com/security/data/metrics/ds/com.redhat.rhsa-RHEL7.ds.xml.bz2: Get https://www.redhat.com/security/data/metrics/ds/com.redhat.rhsa-RHEL7.ds.xml.bz2: http: error connecting to proxy https://user:pass@my_https_proxy: dial tcp: lookup my_https_proxy: no such host”


update HTTPS Proxy with wrong value:
https://user:pass@my_https_proxy
Update  NO Proxy with value:
www.redhat.com
--> SSA work OK as expected.